
#property copyright "Copyright  2005, Fx-Blood"
#property link      "http://"

#property indicator_separate_window

extern int SpreadThreshold = 6;
extern bool Show_D1_ADX = TRUE;

int init() {
   IndicatorShortName("FDM Trend Power (" + Symbol() + ")");
   return (0);
}

int deinit() {
   ObjectsDeleteAll(0, OBJ_LABEL);
   ObjectDelete("FDM Trend Power-1");
   ObjectDelete("FDM Trend Power-2");
   ObjectDelete("FDM Trend Power-3");
   ObjectDelete("FDM Trend Power-4");
   ObjectDelete("FDM Trend Power-5");
   ObjectDelete("FDM Trend Power-6");
   ObjectDelete("FDM Trend Power-7");
   ObjectDelete("FDM Trend Power-8");
   ObjectDelete("FDM Trend Power-9");
   ObjectDelete("FDM Trend Power-10");
   ObjectDelete("FDM Trend Power-11");
   ObjectDelete("FDM Trend Power-12");
   ObjectDelete("FDM Trend Power-2a");
   ObjectDelete("FDM Trend Power-4a");
   ObjectDelete("FDM Trend Power-6a");
   ObjectDelete("FDM Trend Power-8a");
   ObjectDelete("FDM Trend Power-10a");
   ObjectDelete("FDM Trend Power-12a");
   return (0);
}

int start() {
   color color_0;
   color color_4;
   color color_8;
   color color_12;
   color color_16;
   color color_20;
   string text_24;
   string text_32;
   string text_40;
   string text_48;
   string text_56;
   string text_64;
   string Ls_72 = "2015.11.01";
   int str2time_80 = StrToTime(Ls_72);
   if (TimeCurrent() >= str2time_80) {
      Alert(" Trial version has expired! Email support@forexprofitmonster.com with broker account number for rights to full version!");
      return (0);
   }
   double Ld_84 = iADX(NULL, PERIOD_M5, 14, PRICE_CLOSE, MODE_MAIN, 0);
   double iadx_92 = iADX(NULL, PERIOD_M5, 14, PRICE_CLOSE, MODE_PLUSDI, 0);
   double iadx_100 = iADX(NULL, PERIOD_M5, 14, PRICE_CLOSE, MODE_MINUSDI, 0);
   double Ld_108 = iADX(NULL, PERIOD_M15, 14, PRICE_CLOSE, MODE_MAIN, 0);
   double iadx_116 = iADX(NULL, PERIOD_M15, 14, PRICE_CLOSE, MODE_PLUSDI, 0);
   double iadx_124 = iADX(NULL, PERIOD_M15, 14, PRICE_CLOSE, MODE_MINUSDI, 0);
   double Ld_132 = iADX(NULL, PERIOD_M30, 14, PRICE_CLOSE, MODE_MAIN, 0);
   double iadx_140 = iADX(NULL, PERIOD_M30, 14, PRICE_CLOSE, MODE_PLUSDI, 0);
   double iadx_148 = iADX(NULL, PERIOD_M30, 14, PRICE_CLOSE, MODE_MINUSDI, 0);
   double Ld_156 = iADX(NULL, PERIOD_H1, 14, PRICE_CLOSE, MODE_MAIN, 0);
   double iadx_164 = iADX(NULL, PERIOD_H1, 14, PRICE_CLOSE, MODE_PLUSDI, 0);
   double iadx_172 = iADX(NULL, PERIOD_H1, 14, PRICE_CLOSE, MODE_MINUSDI, 0);
   double Ld_180 = iADX(NULL, PERIOD_H4, 14, PRICE_CLOSE, MODE_MAIN, 0);
   double iadx_188 = iADX(NULL, PERIOD_H4, 14, PRICE_CLOSE, MODE_PLUSDI, 0);
   double iadx_196 = iADX(NULL, PERIOD_H4, 14, PRICE_CLOSE, MODE_MINUSDI, 0);
   double Ld_204 = iADX(NULL, PERIOD_D1, 14, PRICE_CLOSE, MODE_MAIN, 0);
   double iadx_212 = iADX(NULL, PERIOD_D1, 14, PRICE_CLOSE, MODE_PLUSDI, 0);
   double iadx_220 = iADX(NULL, PERIOD_D1, 14, PRICE_CLOSE, MODE_MINUSDI, 0);
   if (Ld_84 < 23.0 && Ld_84 != 0.0) color_0 = LightSkyBlue;
   if (Ld_84 >= 23.0 && iadx_92 > iadx_100) color_0 = Lime;
   if (Ld_84 >= 23.0 && iadx_92 < iadx_100) color_0 = Red;
   if (Ld_108 < 23.0 && Ld_108 != 0.0) color_4 = LightSkyBlue;
   if (Ld_108 >= 23.0 && iadx_116 > iadx_124) color_4 = Lime;
   if (Ld_108 >= 23.0 && iadx_116 < iadx_124) color_4 = Red;
   if (Ld_132 < 23.0 && Ld_132 != 0.0) color_8 = LightSkyBlue;
   if (Ld_132 >= 23.0 && iadx_140 > iadx_148) color_8 = Lime;
   if (Ld_132 >= 23.0 && iadx_140 < iadx_148) color_8 = Red;
   if (Ld_156 < 23.0 && Ld_156 != 0.0) color_12 = LightSkyBlue;
   if (Ld_156 >= 23.0 && iadx_164 > iadx_172) color_12 = Lime;
   if (Ld_156 >= 23.0 && iadx_164 < iadx_172) color_12 = Red;
   if (Ld_180 < 23.0 && Ld_180 != 0.0) color_16 = LightSkyBlue;
   if (Ld_180 >= 23.0 && iadx_188 > iadx_196) color_16 = Lime;
   if (Ld_180 >= 23.0 && iadx_188 < iadx_196) color_16 = Red;
   if (Ld_204 < 23.0 && Ld_204 != 0.0) color_20 = LightSkyBlue;
   if (Ld_204 >= 23.0 && iadx_212 > iadx_220) color_20 = Lime;
   if (Ld_204 >= 23.0 && iadx_212 < iadx_220) color_20 = Red;
   string iadx_228 = Ld_84;
   string iadx_236 = Ld_108;
   string iadx_244 = Ld_132;
   string iadx_252 = Ld_156;
   string iadx_260 = Ld_180;
   string iadx_268 = Ld_204;
   if (Ld_84 < 23.0 && Ld_84 != 0.0) text_24 = "h";
   if (Ld_84 >= 23.0 && Ld_84 < 28.0 && iadx_92 > iadx_100) text_24 = "";
   if (Ld_84 >= 23.0 && Ld_84 < 28.0 && iadx_92 < iadx_100) text_24 = "";
   if (Ld_84 >= 28.0 && iadx_92 > iadx_100) text_24 = "";
   if (Ld_84 >= 28.0 && iadx_92 < iadx_100) text_24 = "";
   if (Ld_108 < 23.0 && Ld_108 != 0.0) text_32 = "h";
   if (Ld_108 >= 23.0 && Ld_108 < 28.0 && iadx_116 > iadx_124) text_32 = "";
   if (Ld_108 >= 23.0 && Ld_108 < 28.0 && iadx_116 < iadx_124) text_32 = "";
   if (Ld_108 >= 28.0 && iadx_116 > iadx_124) text_32 = "";
   if (Ld_108 >= 28.0 && iadx_116 < iadx_124) text_32 = "";
   if (Ld_132 < 23.0 && Ld_132 != 0.0) text_40 = "h";
   if (Ld_132 >= 23.0 && Ld_132 < 28.0 && iadx_140 > iadx_148) text_40 = "";
   if (Ld_132 >= 23.0 && Ld_132 < 28.0 && iadx_140 < iadx_148) text_40 = "";
   if (Ld_132 >= 28.0 && iadx_140 > iadx_148) text_40 = "";
   if (Ld_132 >= 28.0 && iadx_140 < iadx_148) text_40 = "";
   if (Ld_156 < 23.0 && Ld_156 != 0.0) text_48 = "h";
   if (Ld_156 >= 23.0 && Ld_156 < 28.0 && iadx_164 > iadx_172) text_48 = "";
   if (Ld_156 >= 23.0 && Ld_156 < 28.0 && iadx_164 < iadx_172) text_48 = "";
   if (Ld_156 >= 28.0 && iadx_164 > iadx_172) text_48 = "";
   if (Ld_156 >= 28.0 && iadx_164 < iadx_172) text_48 = "";
   if (Ld_180 < 23.0 && Ld_180 != 0.0) text_56 = "h";
   if (Ld_180 >= 23.0 && Ld_180 < 28.0 && iadx_188 > iadx_196) text_56 = "";
   if (Ld_180 >= 23.0 && Ld_180 < 28.0 && iadx_188 < iadx_196) text_56 = "";
   if (Ld_180 >= 28.0 && iadx_188 > iadx_196) text_56 = "";
   if (Ld_180 >= 28.0 && iadx_188 < iadx_196) text_56 = "";
   if (Ld_204 < 23.0 && Ld_204 != 0.0) text_64 = "h";
   if (Ld_204 >= 23.0 && Ld_204 < 28.0 && iadx_212 > iadx_220) text_64 = "";
   if (Ld_204 >= 23.0 && Ld_204 < 28.0 && iadx_212 < iadx_220) text_64 = "";
   if (Ld_204 >= 28.0 && iadx_212 > iadx_220) text_64 = "";
   if (Ld_204 >= 28.0 && iadx_212 < iadx_220) text_64 = "";
   ObjectCreate("FDM Trend Power-1", OBJ_LABEL, WindowFind("FDM Trend Power (" + Symbol() + ")"), 0, 0);
   ObjectSetText("FDM Trend Power-1", "5 Min:", 9, "Lucida Sans Regular", LightSteelBlue);
   ObjectSet("FDM Trend Power-1", OBJPROP_CORNER, 0);
   ObjectSet("FDM Trend Power-1", OBJPROP_XDISTANCE, 185);
   ObjectSet("FDM Trend Power-1", OBJPROP_YDISTANCE, 2);
   ObjectCreate("FDM Trend Power-2", OBJ_LABEL, WindowFind("FDM Trend Power (" + Symbol() + ")"), 0, 0);
   ObjectSetText("FDM Trend Power-2", " ADX " + StringSubstr(iadx_228, 0, 5) + " ", 9, "Lucida Sands Regular", color_0);
   ObjectSet("FDM Trend Power-2", OBJPROP_CORNER, 0);
   ObjectSet("FDM Trend Power-2", OBJPROP_XDISTANCE, 225);
   ObjectSet("FDM Trend Power-2", OBJPROP_YDISTANCE, 2);
   ObjectCreate("FDM Trend Power-2a", OBJ_LABEL, WindowFind("FDM Trend Power (" + Symbol() + ")"), 0, 0);
   ObjectSetText("FDM Trend Power-2a", text_24, 9, "Wingdings", color_0);
   ObjectSet("FDM Trend Power-2a", OBJPROP_CORNER, 0);
   ObjectSet("FDM Trend Power-2a", OBJPROP_XDISTANCE, 288);
   ObjectSet("FDM Trend Power-2a", OBJPROP_YDISTANCE, 2);
   ObjectCreate("FDM Trend Power-3", OBJ_LABEL, WindowFind("FDM Trend Power (" + Symbol() + ")"), 0, 0);
   ObjectSetText("FDM Trend Power-3", "15 Min:", 9, "Lucida Sans Regular", LightSteelBlue);
   ObjectSet("FDM Trend Power-3", OBJPROP_CORNER, 0);
   ObjectSet("FDM Trend Power-3", OBJPROP_XDISTANCE, 318);
   ObjectSet("FDM Trend Power-3", OBJPROP_YDISTANCE, 2);
   ObjectCreate("FDM Trend Power-4", OBJ_LABEL, WindowFind("FDM Trend Power (" + Symbol() + ")"), 0, 0);
   ObjectSetText("FDM Trend Power-4", " ADX " + StringSubstr(iadx_236, 0, 5) + " ", 9, "Lucida Sands Regular", color_4);
   ObjectSet("FDM Trend Power-4", OBJPROP_CORNER, 0);
   ObjectSet("FDM Trend Power-4", OBJPROP_XDISTANCE, 363);
   ObjectSet("FDM Trend Power-4", OBJPROP_YDISTANCE, 2);
   ObjectCreate("FDM Trend Power-4a", OBJ_LABEL, WindowFind("FDM Trend Power (" + Symbol() + ")"), 0, 0);
   ObjectSetText("FDM Trend Power-4a", text_32, 9, "Wingdings", color_4);
   ObjectSet("FDM Trend Power-4a", OBJPROP_CORNER, 0);
   ObjectSet("FDM Trend Power-4a", OBJPROP_XDISTANCE, 426);
   ObjectSet("FDM Trend Power-4a", OBJPROP_YDISTANCE, 2);
   ObjectCreate("FDM Trend Power-5", OBJ_LABEL, WindowFind("FDM Trend Power (" + Symbol() + ")"), 0, 0);
   ObjectSetText("FDM Trend Power-5", "M30:", 9, "Lucida Sans Regular", LightSteelBlue);
   ObjectSet("FDM Trend Power-5", OBJPROP_CORNER, 0);
   ObjectSet("FDM Trend Power-5", OBJPROP_XDISTANCE, 456);
   ObjectSet("FDM Trend Power-5", OBJPROP_YDISTANCE, 2);
   ObjectCreate("FDM Trend Power-6", OBJ_LABEL, WindowFind("FDM Trend Power (" + Symbol() + ")"), 0, 0);
   ObjectSetText("FDM Trend Power-6", " ADX " + StringSubstr(iadx_244, 0, 5) + " ", 9, "Lucida Sands Regular", color_8);
   ObjectSet("FDM Trend Power-6", OBJPROP_CORNER, 0);
   ObjectSet("FDM Trend Power-6", OBJPROP_XDISTANCE, 490);
   ObjectSet("FDM Trend Power-6", OBJPROP_YDISTANCE, 2);
   ObjectCreate("FDM Trend Power-6a", OBJ_LABEL, WindowFind("FDM Trend Power (" + Symbol() + ")"), 0, 0);
   ObjectSetText("FDM Trend Power-6a", text_40, 9, "Wingdings", color_8);
   ObjectSet("FDM Trend Power-6a", OBJPROP_CORNER, 0);
   ObjectSet("FDM Trend Power-6a", OBJPROP_XDISTANCE, 553);
   ObjectSet("FDM Trend Power-6a", OBJPROP_YDISTANCE, 2);
   ObjectCreate("FDM Trend Power-7", OBJ_LABEL, WindowFind("FDM Trend Power (" + Symbol() + ")"), 0, 0);
   ObjectSetText("FDM Trend Power-7", "1 Hr:", 9, "Lucida Sans Regular", LightSteelBlue);
   ObjectSet("FDM Trend Power-7", OBJPROP_CORNER, 0);
   ObjectSet("FDM Trend Power-7", OBJPROP_XDISTANCE, 580);
   ObjectSet("FDM Trend Power-7", OBJPROP_YDISTANCE, 2);
   ObjectCreate("FDM Trend Power-8", OBJ_LABEL, WindowFind("FDM Trend Power (" + Symbol() + ")"), 0, 0);
   ObjectSetText("FDM Trend Power-8", " ADX " + StringSubstr(iadx_252, 0, 5) + " ", 9, "Lucida Sands Regular", color_12);
   ObjectSet("FDM Trend Power-8", OBJPROP_CORNER, 0);
   ObjectSet("FDM Trend Power-8", OBJPROP_XDISTANCE, 610);
   ObjectSet("FDM Trend Power-8", OBJPROP_YDISTANCE, 2);
   ObjectCreate("FDM Trend Power-8a", OBJ_LABEL, WindowFind("FDM Trend Power (" + Symbol() + ")"), 0, 0);
   ObjectSetText("FDM Trend Power-8a", text_48, 9, "Wingdings", color_12);
   ObjectSet("FDM Trend Power-8a", OBJPROP_CORNER, 0);
   ObjectSet("FDM Trend Power-8a", OBJPROP_XDISTANCE, 672);
   ObjectSet("FDM Trend Power-8a", OBJPROP_YDISTANCE, 2);
   ObjectCreate("FDM Trend Power-9", OBJ_LABEL, WindowFind("FDM Trend Power (" + Symbol() + ")"), 0, 0);
   ObjectSetText("FDM Trend Power-9", "4 Hr:", 9, "Lucida Sans Regular", LightSteelBlue);
   ObjectSet("FDM Trend Power-9", OBJPROP_CORNER, 0);
   ObjectSet("FDM Trend Power-9", OBJPROP_XDISTANCE, 702);
   ObjectSet("FDM Trend Power-9", OBJPROP_YDISTANCE, 2);
   ObjectCreate("FDM Trend Power-10", OBJ_LABEL, WindowFind("FDM Trend Power (" + Symbol() + ")"), 0, 0);
   ObjectSetText("FDM Trend Power-10", " ADX " + StringSubstr(iadx_260, 0, 5) + " ", 9, "Lucida Sands Regular", color_16);
   ObjectSet("FDM Trend Power-10", OBJPROP_CORNER, 0);
   ObjectSet("FDM Trend Power-10", OBJPROP_XDISTANCE, 732);
   ObjectSet("FDM Trend Power-10", OBJPROP_YDISTANCE, 2);
   ObjectCreate("FDM Trend Power-10a", OBJ_LABEL, WindowFind("FDM Trend Power (" + Symbol() + ")"), 0, 0);
   ObjectSetText("FDM Trend Power-10a", text_56, 9, "Wingdings", color_16);
   ObjectSet("FDM Trend Power-10a", OBJPROP_CORNER, 0);
   ObjectSet("FDM Trend Power-10a", OBJPROP_XDISTANCE, 793);
   ObjectSet("FDM Trend Power-10a", OBJPROP_YDISTANCE, 2);
   if (Show_D1_ADX == TRUE) {
      ObjectCreate("FDM Trend Power-11", OBJ_LABEL, WindowFind("FDM Trend Power (" + Symbol() + ")"), 0, 0);
      ObjectSetText("FDM Trend Power-11", "1 Day:", 9, "Lucida Sans Regular", LightSteelBlue);
      ObjectSet("FDM Trend Power-11", OBJPROP_CORNER, 0);
      ObjectSet("FDM Trend Power-11", OBJPROP_XDISTANCE, 823);
      ObjectSet("FDM Trend Power-11", OBJPROP_YDISTANCE, 2);
      ObjectCreate("FDM Trend Power-12", OBJ_LABEL, WindowFind("FDM Trend Power (" + Symbol() + ")"), 0, 0);
      ObjectSetText("FDM Trend Power-12", " ADX " + StringSubstr(iadx_268, 0, 5) + " ", 9, "Lucida Sands Regular", color_20);
      ObjectSet("FDM Trend Power-12", OBJPROP_CORNER, 0);
      ObjectSet("FDM Trend Power-12", OBJPROP_XDISTANCE, 863);
      ObjectSet("FDM Trend Power-12", OBJPROP_YDISTANCE, 2);
      ObjectCreate("FDM Trend Power-12a", OBJ_LABEL, WindowFind("FDM Trend Power (" + Symbol() + ")"), 0, 0);
      ObjectSetText("FDM Trend Power-12a", text_64, 9, "Wingdings", color_20);
      ObjectSet("FDM Trend Power-12a", OBJPROP_CORNER, 0);
      ObjectSet("FDM Trend Power-12a", OBJPROP_XDISTANCE, 923);
      ObjectSet("FDM Trend Power-12a", OBJPROP_YDISTANCE, 2);
   }
   return (0);
}